外観
メッセージの宛先ごとの配信結果を取得
GET
/messages/{messageId}/deliveries
宛先(顧客)ごとの配信の状態・エラー・送信日時・開封を返します。宛先の連絡先(メールアドレスなど)は含めません。
連絡先は「顧客詳細を取得」で取得してください。
Authorizations
bearerAuth
テナントに発行された個人アクセストークン(Laravel Sanctum)を
Authorization: Bearer {token} ヘッダーで送信してください。
Type
HTTP (bearer)
Parameters
Query Parameters
page
ページ番号(1始まり)
Type
integer
Minimum
1Default
1perPage
1ページあたりの件数(最大100)
Type
integer
Default
20Minimum
1Maximum
100status
配信の状態で絞り込み
Type
string
Valid values
"OPEN""SENT""DELIVERED""BOUNCED""COMPLAINED""ERROR"customerId
顧客で絞り込み
Type
string
Responses
宛先ごとの配信結果
application/json
JSON "data": [ { "id": "string", "messageId": "string", "customerId": "string", "status": "string", "errorMessage": "string", "sentAt": "string", "isOpened": true, "openedAt": "string", "unsubscribedAt": "string", "createdAt": "string", "updatedAt": "string" } ], "meta": { "currentPage": 1, "perPage": 20, "lastPage": 5, "total": 96 }
{
}
